PG_LO_READ()

NAME
pg_lo_read - read from a large object

SYNOPSIS

pg_lo_read conn descriptor bufVar len

DESCRIPTION

pg_lo_read reads at most len bytes from a large object into a variable named bufVar.

ARGUMENTS

conn
    The handle of a connection to the database in which the large object exists.

descriptor
    A descriptor for the large object from pg_lo_open.

bufVar
    The name of a buffer variable to contain the large object segment.

len The maximum number of bytes to read.

RETURN VALUE

The number of bytes actually read is returned; this could be less than the number requested if the end of the large object is reached first. In event of an error, the return value is negative.